1. 86584e1 ash: fix open fds leaking in redirects. Closes 9561 by Denys Vlasenko · 8 years ago
  2. 6cd0294 ash: explicltly group ash options by Kang-Che Sung · 8 years ago
  3. 9529115 shell: clarify help text of CONFIG_{SH,BASH}_IS_* options by Kang-Che Sung · 8 years ago
  4. b05bcaf hush: correct exitcode for unterminated ')' - exitcode2.tests testcase by Denys Vlasenko · 8 years ago
  5. ea7d2f6 ash: fix error code regression by Ron Yorston · 8 years ago
  6. 0b88358 Make it possible to select "sh" and "bash" aliases without selecting ash or hush by Denys Vlasenko · 8 years ago
  7. 6704746 shell: move "config" blocks above their use in coditional includes by Denys Vlasenko · 8 years ago
  8. 326edc3 Tweak some config defaults; fix MODPROBE_SMALL ordering in "make config" by Denys Vlasenko · 8 years ago
  9. 2166952 ash: clarify uclibc glob() bug in comment by Denys Vlasenko · 8 years ago
  10. 3a4cdf4 ash: error out if ASH_INTERNAL_GLOB is not selected on uClibc by Denys Vlasenko · 8 years ago
  11. 2fe66b1 ash: fix signed char expansion bug by Denys Vlasenko · 8 years ago
  12. b6afcc7 shell: suppress "unused var/func" warnings on some configs by Denys Vlasenko · 8 years ago
  13. 4b89d51 ash,hush: make ^C in interactive mode visually much closer to bash behavior by Denys Vlasenko · 8 years ago
  14. 8660aeb ash,hush: ^C from command line should set $? to 128+SIGINT by Denys Vlasenko · 8 years ago
  15. 15fb91c test: make [ and [[ forms individually selectable by Denys Vlasenko · 8 years ago
  16. 87e039d hush: make getch/peek functions directly called by Denys Vlasenko · 8 years ago
  17. 00a06b9 hush: renumber PIPE_foo, make PIPE_SEQ = 0 by Denys Vlasenko · 8 years ago
  18. 6c635d6 hush: small optimization in run_list by Denys Vlasenko · 8 years ago
  19. 5cc9bf6 hush: deindent large block of code, no code changes by Denys Vlasenko · 8 years ago
  20. 1eada9a hush: simplify insert_bg_jobs by Denys Vlasenko · 8 years ago
  21. 830ea35 hush: make "wait %1" less likely to play with signal mask by Denys Vlasenko · 8 years ago
  22. 02affb4 hush: rework "wait %jobspec" to work in non-interactive shells too by Denys Vlasenko · 8 years ago
  23. 26ad94b hush: "wait $!; echo $?" should return 127 if $! already exited by Denys Vlasenko · 8 years ago
  24. 62b717b hush: implement "wait %jobspec" by Denys Vlasenko · 8 years ago
  25. 4e1c8b4 hush: factor out %jobspec parsing by Denys Vlasenko · 8 years ago
  26. 5d5a611 hush: comment fix by Denys Vlasenko · 8 years ago
  27. 4224647 hush: do not allow sh -c '{ echo boo }' by Denys Vlasenko · 8 years ago
  28. aeaee43 hush: case logic for setting $? was still wrong by Denys Vlasenko · 8 years ago
  29. 30bfcf6 hush: non-matching "case" statement sets $? to 0 by Denys Vlasenko · 8 years ago
  30. 672a55e hush: allow { cmd } to not be terminated by semicolon in some cases by Denys Vlasenko · 8 years ago
  31. 06b1149 ash: fix "duplicate local" code (forgot to re-enable interrupts) by Denys Vlasenko · 8 years ago
  32. 1ab7c2f ash: while (!got_sig) pause() is not reliable, use sigsuspend() by Denys Vlasenko · 8 years ago
  33. d4f3db9 ash: if using libc glob(), skip it if no metachars are in word by Denys Vlasenko · 8 years ago
  34. 474ed06 ash: fix bit-rotten debug infrastructure by Denys Vlasenko · 8 years ago
  35. 493b9ca ash: make popfile() anfter popallfiles() safe by Denys Vlasenko · 8 years ago
  36. 9db74e4 hush: fix "(sleep 1; exit 3) & sleep 2; echo $?; wait $!; echo $?" by Denys Vlasenko · 8 years ago
  37. 7e67536 hush: fix "wait PID" by Denys Vlasenko · 8 years ago
  38. 8f7b024 ash: use pause(), not sigsuspend(), in wait builtin by Denys Vlasenko · 8 years ago
  39. d81e9f5 ash: fix interactive "command eval STRING" exiting on errors. by Denys Vlasenko · 8 years ago
  40. 458c1f2 ash: [JOBS] Fix dowait signal race by Denys Vlasenko · 8 years ago
  41. c0663c7 ash: [SIGNAL] Remove EXSIG by Denys Vlasenko · 8 years ago
  42. 6918811 ash: open-code blocking_dowait_with_raise_on_sig() by Denys Vlasenko · 8 years ago
  43. b543bda ash: return to DOWAIT_* constants similar to dash, no logic changes by Denys Vlasenko · 8 years ago
  44. 3f44a6b ash: delete leftovers from "simplify EOF/newline handling in list parser" commit by Denys Vlasenko · 8 years ago
  45. 5ac04f2 ash: [EXPAND] Fix ifsfirst/ifslastp leak by Denys Vlasenko · 8 years ago
  46. 455e422 ash: move ifsbreakup() and ifsfree() up by Denys Vlasenko · 8 years ago
  47. b4f51d3 ash: partially sync with dash on "fork if traps are set" logic by Denys Vlasenko · 8 years ago
  48. 2eb0a7e ash: [SHELL] Expand ENV before using it by Denys Vlasenko · 8 years ago
  49. 7039233 ash: comment tweaks, no code changes by Denys Vlasenko · 8 years ago
  50. 65a8b85 ash: optimize tryexec(): avoid one allocation by Denys Vlasenko · 8 years ago
  51. 0e081d0 ash: [CD] Lookup PWD after going through CDPATH by Denys Vlasenko · 8 years ago
  52. a318bba ash: [MEMALLOC] Made grabstackblock an inline wrapper for stalloc by Denys Vlasenko · 8 years ago
  53. dbef38a ash: [VAR] Remove setvarsafe by Denys Vlasenko · 8 years ago
  54. 35c2a13 ash: use shellparam.optind/optoff in getopts() directly, not through pointers by Denys Vlasenko · 8 years ago
  55. 3df1410 ash: [PARSER] Size optimisations in parameter expansion parser by Denys Vlasenko · 8 years ago
  56. 350e686 ash: [PARSER] Recognise here-doc delimiters terminated by EOF by Denys Vlasenko · 8 years ago
  57. f15aa57 ash: [PARSER] Fix parsing of ${##1} by Denys Vlasenko · 8 years ago
  58. e19923f ash: [REDIR] Remove redundant CLOEXEC calls by Denys Vlasenko · 8 years ago
  59. 6477460 ash: [REDIR] Replace copyfd by savefd and use dup2 elsewhere by Denys Vlasenko · 8 years ago
  60. 4135a75 typo fixes by Denys Vlasenko · 8 years ago
  61. a513bf3 ash: [BUILTIN] Treat OPTIND=0 in the same way as OPTIND=1 by Denys Vlasenko · 8 years ago
  62. 88e1570 ash: [PARSER] Report substition errors at expansion time by Denys Vlasenko · 8 years ago
  63. eaf9436 ash: [REDIR] Move null redirect checks into caller by Denys Vlasenko · 8 years ago
  64. 2a6d29a ash: [PARSER] Do not show prompts in expandstr by Denys Vlasenko · 8 years ago
  65. 579ad10 ash: [EXPAND] Removed herefd hack by Denys Vlasenko · 8 years ago
  66. caee80c ash: [SHELL] Move flushall to the point just before _exit by Denys Vlasenko · 8 years ago
  67. 7aec868 ash: [EVAL] Let funcnode refer to a function definition, not its first command by Denys Vlasenko · 8 years ago
  68. 20a2cd6 ash: [REDIR] Remove EMFILE special case by Denys Vlasenko · 8 years ago
  69. cf98b0c ash: [EVAL] Check exit for eval NSUBSHELL by Denys Vlasenko · 8 years ago
  70. 960ca38 ash: add comment explaining "set -e; $(cmd)" discrepancy by Denys Vlasenko · 8 years ago
  71. 6a94cee ash: reduce code differences from upstream by Denys Vlasenko · 8 years ago
  72. 1825e4f ash: remove unused EXSHELLPROC by Denys Vlasenko · 8 years ago
  73. 061a090 ash: [BUILTIN] Use EXEXIT in place of EXEXEC by Denys Vlasenko · 8 years ago
  74. b7adf7a ash,hush: set exit code 127 in "sh /does/not/exist" case by Denys Vlasenko · 8 years ago
  75. db74c6c ash: explain EXP_REDIR and why we (dont) glob redir filenames by Denys Vlasenko · 8 years ago
  76. 5ccb0e9 ash: return exit status of nofork applets by Ron Yorston · 8 years ago
  77. 561639a ash: all blocks in function node copying must be SHELL_ALIGNed by Denys Vlasenko · 8 years ago
  78. d43be87 ash testsuite: fix false positives by Denys Vlasenko · 8 years ago
  79. 4c438b5 ash: get rid of two global data variables by Denys Vlasenko · 8 years ago
  80. f37e115 ash: comment out free(p) just before _exit, tweak some outdated comments by Denys Vlasenko · 8 years ago
  81. 7f0ebbc hush: add commented-out debug printouts in "memleak" built-in by Denys Vlasenko · 8 years ago
  82. a769390 hush: fix a memory corruption when exported variable is modified by Denys Vlasenko · 8 years ago
  83. 04465da hush: fix exitcode on exec failure with EACCES - should be 126 by Denys Vlasenko · 8 years ago
  84. c775f82 sh testsuite: add tests for exitcode on failure to exec by Denys Vlasenko · 8 years ago
  85. 2feaa22 shell: delete all msh tests by Denys Vlasenko · 8 years ago
  86. 9793fc5 hush testsuite: fix another false positive by Denys Vlasenko · 8 years ago
  87. d3b4e5e hust testsuite: fix a false positive by Denys Vlasenko · 8 years ago
  88. a62bc80 ash testsuite: add most of hust tests which pass for ash by Denys Vlasenko · 8 years ago
  89. ce332a2 ash: [PARSER] Add nlprompt/nlnoprompt helpers by Denys Vlasenko · 8 years ago
  90. 80729a4 whitespace fixes by Denys Vlasenko · 8 years ago
  91. db7f4c2 hush: add var4.tests, var5.tests by Denys Vlasenko · 8 years ago
  92. 61508d9 hush: fix var3.tests by Denys Vlasenko · 8 years ago
  93. ebedb94 sh: do not print empty line at the end of "help" output by Denys Vlasenko · 8 years ago
  94. df303ae sh testsuite: sync ash-redir/ and hush-redir/ by Denys Vlasenko · 8 years ago
  95. c7a774d sh testsuite: sync ash-misc/source* and hush-misc/source* by Denys Vlasenko · 8 years ago
  96. 0ba9970 sh testsuite: sync ash-vars/ and hush-vars/ by Denys Vlasenko · 8 years ago
  97. e3354bc ash testsuite: update some of variable tests with newer versions from hush by Denys Vlasenko · 8 years ago
  98. c4cf542 sh testsuite: create hush-redir/* and move files around by Denys Vlasenko · 8 years ago
  99. 1b73f84 sh testsuite: create hush-heredoc/* and move files around by Denys Vlasenko · 8 years ago
  100. 5d6b872 hush testsuite: add many tests from ash testsuite by Denys Vlasenko · 8 years ago